package reward

import (
	"code.gitea.io/gitea/models"
	"code.gitea.io/gitea/modules/log"
)

type RecordResponse struct {
	Records  []*models.RewardOperateRecordShow
	Total    int64
	PageSize int
	Page     int
}

func GetRewardRecordList(opts models.RewardRecordListOpts) (*RecordResponse, error) {
	l, n, err := models.GetRewardRecordList(opts)
	if err != nil {
		log.Error("GetRewardRecordList error. %v", err)

		return nil, err
	}
	if len(l) == 0 {
		return &RecordResponse{Records: make([]*models.RewardOperateRecordShow, 0), Total: n, Page: opts.Page, PageSize: opts.PageSize}, nil
	}
	result, err := l.ToShow()
	if err != nil {
		log.Error("GetRewardRecordList ToShow error. %v", err)
		return nil, err
	}

	return &RecordResponse{Records: result, Total: n, Page: opts.Page, PageSize: opts.PageSize}, nil
}
